<template>
	<view class="messageDetails">
		<div class="messageTitle">
			{{details.title}}
		</div>
		
		<div class="messageTime">
			{{details.createTime}}
		</div>
		
		<rich-text :nodes="details.messageContent"></rich-text>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				id:'',
				details:''
				
			}
		},
		onLoad(op) {
			this.id = op.id
			this.getMsgDetails()
		},
		
		methods: {
			getMsgDetails(){
				this.$http.get('/api/store/message/details',{
					id:this.id
				}).then(res=>{
					this.details = res.data
				})
			},
		}
	}
</script>

<style lang="less">
page{
	padding: 20rpx 24rpx;
	background: #FAF7F6;
}

.messageDetails{
	background: #FFFFFF;
	border-radius: 14rpx 14rpx 14rpx 14rpx;
	padding: 40rpx 20rpx;
	box-sizing: border-box;
	
	.messageTitle{
		text-align: center;
		font-size: 32rpx;
		color: #333333;
		margin-bottom: 24rpx;
	}
	
	.messageTime{
		text-align: center;
		font-size: 24rpx;
		color: #999999;
		margin-bottom: 24rpx;
	}
	
	.message_content{
		
	}
	
}
</style>
